Bug 976505 - icedtea plugin freeze
icedtea plugin freeze
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2013-06-20 13:17 EDT by Simon Putt
Modified: 2013-10-24 13:28 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-10-24 13:28:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Simon Putt 2013-06-20 13:17:12 EDT
Description of problem:

when going to any site that has a java applet, firefox freezes and i get the following in the journal.

Jun 20 18:00:22 electronicbox abrtd[634]: Directory 'ccpp-2013-06-20-18:00:22-13381' creation detected
Jun 20 18:00:22 electronicbox abrt[13413]: Saved core dump of pid 13381 (/usr/lib/jvm/java-1.7.0-openjdk- to /var/tmp/abrt/ccpp-2013-06-20-18:00:22-13381 (250777600 bytes)
Jun 20 18:00:23 electronicbox abrtd[634]: Generating core_backtrace
Jun 20 18:00:23 electronicbox abrtd[634]: Generating backtrace
Jun 20 18:00:23 electronicbox abrtd[634]: Backtrace is generated, 30324 bytes
Jun 20 18:00:23 electronicbox abrtd[634]: Core backtrace is generated and saved, 2607 bytes
Jun 20 18:00:23 electronicbox abrtd[634]: Duplicate: core backtrace
Jun 20 18:00:23 electronicbox abrtd[634]: DUP_OF_DIR: /var/tmp/abrt/ccpp-2013-06-09-15:02:03-7817
Jun 20 18:00:23 electronicbox abrtd[634]: Deleting problem directory ccpp-2013-06-20-18:00:22-13381 (dup of ccpp-2013-06-09-15:02:03-7817)
Jun 20 18:00:23 electronicbox /etc/gdm/Xsession[1640]: abrt-applet: repeated problem in java-1.7.0-openjdk-, not showing the notification

Version-Release number of selected component (if applicable):

How reproducible:


Steps to Reproduce:

Actual results:


Expected results:

applet to run

Additional info:
Comment 1 Deepak Bhole 2013-06-20 14:23:31 EDT
What version of icedtea-web and java-1.7.0-openjdk are you running? This will display the answer:

rpm -q icedtea-web java-1.7.0-openjdk
Comment 2 Simon Putt 2013-06-20 14:45:36 EDT
Comment 3 jiri vanek 2013-06-21 02:19:16 EDT
also please provide url which freeze your firefox, otherwise we can not check.

As a workaround  you may try:
  - disable selinux temporally
  - try other browser - sorry for this - but newest firefoxes are causing us a lot of troubles :(
Comment 4 Simon Putt 2013-06-21 05:21:26 EDT
This simple version checker freezes Firefox, seems any applet makes it freeze.


Tried a few plugins and they seem to work in chrome browser, version 29 unstable
Comment 5 Simon Putt 2013-06-21 06:55:46 EDT
disabled SElinux and applets are working again in Firefox.
Comment 6 jiri vanek 2013-06-21 08:40:22 EDT
hmm.. I have encountered this(or similar) behaviour already, but is should not appear in regular installations - please, I wil be very happy if you post an selinux warnings.

btw note this: http://stopdisablingselinux.com/ ;)

The issue is that firefox have special set of rules. I will reassign this to selinux now.
Comment 7 Daniel Walsh 2013-06-21 09:03:38 EDT
restorecon -R -v ~/

Does this fix the .icedtea label?
Comment 8 Miroslav Grepl 2013-06-24 07:44:03 EDT
If it does not help, please reopen the bug. Thank you.
Comment 9 jiri vanek 2013-06-28 09:53:54 EDT
nope. This must be fixed in packages. (probably selinux ones).

As after every update selinux is enabling itself, then it is not possible to have plugin disabled in such a way. Please update selinux policies for firefox to have icedtea-web enabled by default.
Comment 10 Miroslav Grepl 2013-06-28 10:13:33 EDT
We need to see AVC msg.
Comment 11 Simon Putt 2013-06-28 10:28:11 EDT
how do i get the AVC message?

Note You need to log in before you can comment on or make changes to this bug.